map $http_upgrade $connection_upgrade {
    default         upgrade;
    ''              close;
}

server {
    listen 443;
    ssl on;
    ssl_certificate /opt/app/certs/ssl_certificate.cer;
    ssl_certificate_key /opt/app/certs/private.key;
    server_name portal-api.dev.bcbsinstitute.com;
    server_tokens off;
 
    location / {
        proxy_pass          http://127.0.0.1:5100;
        proxy_set_header    X-Real-IP   $remote_addr;
        proxy_set_header    Host        $http_host;
        proxy_http_version  1.1;
        proxy_set_header    Upgrade     $http_upgrade;
        proxy_set_header    Connection  $connection_upgrade;
    }
}